Skip to main content

Get All Client Accounts

GET 

/v1/crossborder/clients/:client_id/accounts

Retrieve a list of all bank accounts associated with a specific crossborder client. Optional filter parameters can be used to refine your search.

Request

Path Parameters

    client_id uuidrequired

    Client ID.

Query Parameters

    page number

    Default value: 1

    Page number.

    size number

    Possible values: <= 100

    Default value: 20

    Page size. Max size is 100.

    sort string

    Possible values: [created_at, account_number]

    Page sort attribute.

    order string

    Possible values: [asc, desc]

    Default value: asc

    Page order.

    currency_symbol string

    Possible values: [USD, BRL, EUR, MXN, ARS, COP, CLP, PEN, ECU, UYU, PYG, USDC, USDT]

    Filter by currency symbol.

    name string

    Partial match on bank name (bank_name column).

Header Parameters

    nonce stringrequired

    The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.

    x-product-uuid string

    UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.

    x-product-target-user-uuid string

    UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.

    x-lang string

    Possible values: [pt-BR, en-US]

    Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.

    x-wallet-uuid string

    Sender Wallet UUID (if empty, your default Wallet UUID will be settled)

Responses

Client accounts returned successfully.

Schema
    page numberrequired

    Page number.

    page_size numberrequired

    Page size.

    page_total numberrequired

    Page total.

    total numberrequired

    Total of elements.

    data object[]required

    Client accounts data.

  • Array [
  • id stringrequired

    Account ID.

    user_id stringrequired

    User ID.

    client_id stringrequired

    Client ID.

    country stringrequired

    Possible values: [AD, AE, AF, AG, AI, AL, AM, AO, AQ, AR, AS, AT, AU, AW, AX, AZ, BA, BB, BD, BE, BF, BG, BH, BI, BJ, BL, BM, BN, BO, BQ, BR, BS, BT, BV, BW, BY, BZ, CA, CC, CD, CF, CG, CH, CI, CK, CL, CM, CN, CO, CR, CU, CV, CW, CX, CY, CZ, DE, DJ, DK, DM, DO, DZ, EC, EE, EG, EH, ER, ES, ET, FI, FJ, FK, FM, FO, FR, GA, GB, GD, GE, GF, GG, GH, GI, GL, GM, GN, GP, GQ, GR, GS, GT, GU, GW, GY, HK, HM, HN, HR, HT, HU, ID, IE, IL, IM, IN, IO, IQ, IR, IS, IT, JE, JM, JO, JP, KE, KG, KH, KI, KM, KN, KP, KR, KW, KY, KZ, LA, LB, LC, LI, LK, LR, LS, LT, LU, LV, LY, MA, MC, MD, ME, MF, MG, MH, MK, ML, MM, MN, MO, MP, MQ, MR, MS, MT, MU, MV, MW, MX, MY, MZ, NA, NC, NE, NF, NG, NI, NL, NO, NP, NR, NU, NZ, OM, PA, PE, PF, PG, PH, PK, PL, PM, PN, PR, PS, PT, PW, PY, QA, RE, RO, RS, RU, RW, SA, SB, SC, SD, SE, SG, SH, SI, SJ, SK, SL, SM, SN, SO, SR, SS, ST, SV, SX, SY, SZ, TC, TD, TF, TG, TH, TJ, TK, TL, TM, TN, TO, TR, TT, TV, TW, TZ, UA, UG, UM, US, UY, UZ, VA, VC, VE, VG, VI, VN, VU, WF, WS, YE, YT, ZA, ZM, ZW]

    Country code.

    currency_symbol stringrequired

    Possible values: [USD, BRL, EUR, MXN, ARS, COP, CLP, PEN, ECU, UYU, PYG, USDC, USDT]

    Currency symbol.

    account_type stringrequired

    Possible values: [CHECKING, SAVINGS]

    Account type.

    account_number stringrequired

    Account number.

    account_name string

    Friendly account name.

    nickname string

    Friendly nickname for the account.

    branch string

    Branch number.

    bank_name stringrequired

    Bank name.

    bank_code stringrequired

    Bank code.

    bank_code_type stringrequired

    Possible values: [ABA, BIC, FEBRABAN, IBAN, CLABE, CBU, BSB, IFSC, SORT_CODE, TRANSIT_NUMBER]

    Bank code type.

    clearing_code string

    Bank clearing code.

    status stringrequired

    Possible values: [ACTIVE, INACTIVE, PENDING]

    Account status.

    created_at date-timerequired

    Account created date.

    updated_at date-timerequired

    Account updated date.

  • ]
Loading...